package com.tzld.longarticle.recommend.server.model.vo;

import lombok.Data;

@Data
public class ContentEffectGroupBySourceExport {
    private String dateStr;
    private String type;
    private String source;
    private String isSameMiniprogram;
    private Integer fansCount = 0;
    private Integer publishContentCount = 0;
    private Integer readCount = 0;
    private Double readRate = 0.0;
    private Integer firstLevel = 0;
    private Integer miniprogram1FirstLevel = 0;
    private Integer miniprogram2FirstLevel = 0;
    private Double openRate = 0.0;
    private Double miniprogram1OpenRate = 0.0;
    private Double miniprogram2OpenRate = 0.0;
    private Integer t0Fission = 0;
    private Integer miniprogram1T0Fission = 0;
    private Integer miniprogram2T0Fission = 0;
    private Double t0FissionRate = 0.0;
    private Double miniprogram1T0FissionRate = 0.0;
    private Double miniprogram2T0FissionRate = 0.0;
}
